<?php
return [
    'ctrl' => [
        'title' => 'LLL:EXT:gfz_test_dateformat/Resources/Private/Language/locallang_db.xlf:tx_gfztestdateformat_domain_model_test',
        'label' => 'date1',
        'tstamp' => 'tstamp',
        'crdate' => 'crdate',
        'cruser_id' => 'cruser_id',
        'delete' => 'deleted',
        'enablecolumns' => [
            'disabled' => 'hidden',
            'starttime' => 'starttime',
            'endtime' => 'endtime',
        ],
        'searchFields' => '',
        'iconfile' => 'EXT:gfz_test_dateformat/Resources/Public/Icons/tx_gfztestdateformat_domain_model_test.gif'
    ],
    'interface' => [
        'showRecordFieldList' => 'hidden, date1, date2, date_time1, date_time2, date_timestamp1, date_timestamp2, date_time_timestamp1, date_time_timestamp2, time1, time2, time_sec1, time_sec2',
    ],
    'types' => [
        '1' => ['showitem' => '--palette--;;_d, --palette--;;_dt, --palette--;;_dts, --palette--;;_dtts, --palette--;;_t, --palette--;;_ts, --div--;LLL:EXT:frontend/Resources/Private/Language/locallang_ttc.xlf:tabs.access, --palette;;_access'],
    ],
    'palettes' => [
        '_d' => ['showitem' => 'date1, date2'],
        '_dt' => ['showitem' => 'date_time1, date_time2'],
        '_dts' => ['showitem' => 'date_timestamp1, date_timestamp2'],
        '_dtts' => ['showitem' => 'date_time_timestamp1, date_time_timestamp2'],
        '_t' => ['showitem' => 'time1, time2'],
        '_ts' => ['showitem' => 'time_sec1, time_sec2'],
        '_access' => ['showitem' => 'hidden, starttime, endtime'],
    ],
    'columns' => [
        'hidden' => [
            'exclude' => true,
            'label' => 'LLL:EXT:core/Resources/Private/Language/locallang_general.xlf:LGL.visible',
            'config' => [
                'type' => 'check',
                'renderType' => 'checkboxToggle',
                'items' => [
                    [
                        0 => '',
                        1 => '',
                        'invertStateDisplay' => true
                    ]
                ],
            ],
        ],
        'starttime' => [
            'exclude' => true,
            'label' => 'LLL:EXT:core/Resources/Private/Language/locallang_general.xlf:LGL.starttime',
            'config' => [
                'type' => 'input',
                'renderType' => 'inputDateTime',
                'eval' => 'datetime,int',
                'default' => 0,
                'behaviour' => [
                    'allowLanguageSynchronization' => true
                ]
            ],
        ],
        'endtime' => [
            'exclude' => true,
            'label' => 'LLL:EXT:core/Resources/Private/Language/locallang_general.xlf:LGL.endtime',
            'config' => [
                'type' => 'input',
                'renderType' => 'inputDateTime',
                'eval' => 'datetime,int',
                'default' => 0,
                'range' => [
                    'upper' => mktime(0, 0, 0, 1, 1, 2038)
                ],
                'behaviour' => [
                    'allowLanguageSynchronization' => true
                ]
            ],
        ],

        'date1' => [
            'exclude' => true,
            'label' => 'LLL:EXT:gfz_test_dateformat/Resources/Private/Language/locallang_db.xlf:tx_gfztestdateformat_domain_model_test.date1',
            'config' => [
                'dbType' => 'date',
                'type' => 'input',
                'renderType' => 'inputDateTime',
                'size' => 7,
                'eval' => 'date',
                'default' => null,
                'readOnly' => true
            ],
        ],
        'date2' => [
            'exclude' => true,
            'label' => 'LLL:EXT:gfz_test_dateformat/Resources/Private/Language/locallang_db.xlf:tx_gfztestdateformat_domain_model_test.date2',
            'config' => [
                'dbType' => 'date',
                'type' => 'input',
                'renderType' => 'inputDateTime',
                'size' => 7,
                'eval' => 'date',
                'default' => null,
            ],
        ],
        'date_time1' => [
            'exclude' => true,
            'label' => 'LLL:EXT:gfz_test_dateformat/Resources/Private/Language/locallang_db.xlf:tx_gfztestdateformat_domain_model_test.date_time1',
            'config' => [
                'dbType' => 'datetime',
                'type' => 'input',
                'renderType' => 'inputDateTime',
                'size' => 12,
                'eval' => 'datetime',
                'default' => null,
                'readOnly' => true
            ],
        ],
        'date_time2' => [
            'exclude' => true,
            'label' => 'LLL:EXT:gfz_test_dateformat/Resources/Private/Language/locallang_db.xlf:tx_gfztestdateformat_domain_model_test.date_time2',
            'config' => [
                'dbType' => 'datetime',
                'type' => 'input',
                'renderType' => 'inputDateTime',
                'size' => 12,
                'eval' => 'datetime',
                'default' => null,
            ],
        ],
        'date_timestamp1' => [
            'exclude' => true,
            'label' => 'LLL:EXT:gfz_test_dateformat/Resources/Private/Language/locallang_db.xlf:tx_gfztestdateformat_domain_model_test.date_timestamp1',
            'config' => [
                'type' => 'input',
                'renderType' => 'inputDateTime',
                'size' => 7,
                'eval' => 'date',
                'default' => time(),
                'readOnly' => true
            ],
        ],
        'date_timestamp2' => [
            'exclude' => true,
            'label' => 'LLL:EXT:gfz_test_dateformat/Resources/Private/Language/locallang_db.xlf:tx_gfztestdateformat_domain_model_test.date_timestamp2',
            'config' => [
                'type' => 'input',
                'renderType' => 'inputDateTime',
                'size' => 7,
                'eval' => 'date',
                'default' => time()
            ],
        ],
        'date_time_timestamp1' => [
            'exclude' => true,
            'label' => 'LLL:EXT:gfz_test_dateformat/Resources/Private/Language/locallang_db.xlf:tx_gfztestdateformat_domain_model_test.date_time_timestamp1',
            'config' => [
                'type' => 'input',
                'renderType' => 'inputDateTime',
                'size' => 10,
                'eval' => 'datetime',
                'default' => time(),
                'readOnly' => true
            ],
        ],
        'date_time_timestamp2' => [
            'exclude' => true,
            'label' => 'LLL:EXT:gfz_test_dateformat/Resources/Private/Language/locallang_db.xlf:tx_gfztestdateformat_domain_model_test.date_time_timestamp2',
            'config' => [
                'type' => 'input',
                'renderType' => 'inputDateTime',
                'size' => 10,
                'eval' => 'datetime',
                'default' => time()
            ],
        ],
        'time1' => [
            'exclude' => true,
            'label' => 'LLL:EXT:gfz_test_dateformat/Resources/Private/Language/locallang_db.xlf:tx_gfztestdateformat_domain_model_test.time1',
            'config' => [
                'type' => 'input',
                'renderType' => 'inputDateTime',
                'size' => 4,
                'eval' => 'time',
                'default' => time(),
                'readOnly' => true

            ]
        ],
        'time2' => [
            'exclude' => true,
            'label' => 'LLL:EXT:gfz_test_dateformat/Resources/Private/Language/locallang_db.xlf:tx_gfztestdateformat_domain_model_test.time2',
            'config' => [
                'type' => 'input',
                'renderType' => 'inputDateTime',
                'size' => 4,
                'eval' => 'time',
                'default' => time()
            ]
        ],
        'time_sec1' => [
            'exclude' => true,
            'label' => 'LLL:EXT:gfz_test_dateformat/Resources/Private/Language/locallang_db.xlf:tx_gfztestdateformat_domain_model_test.time_sec1',
            'config' => [
                'type' => 'input',
                'renderType' => 'inputDateTime',
                'size' => 6,
                'eval' => 'timesec',
                'default' => time(),
                'readOnly' => true
            ]
        ],
        'time_sec2' => [
            'exclude' => true,
            'label' => 'LLL:EXT:gfz_test_dateformat/Resources/Private/Language/locallang_db.xlf:tx_gfztestdateformat_domain_model_test.time_sec2',
            'config' => [
                'type' => 'input',
                'renderType' => 'inputDateTime',
                'size' => 6,
                'eval' => 'timesec',
                'default' => time()
            ]
        ],
    
    ],
];
